/***************************************************************************
                          SDLmail.c  -  The commandline interface between
    the user and the SDLsmtp emailing routines.
                             -------------------
    begin                : Sat May 17 2003
    copyright            : (C) 2003 by Tyler Montbriand
    email                : tsm@accesscomm.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation.                            *
 *                                                                         *
 ***************************************************************************/

#include <stdlib.h>
#include "SDLsock.h"
#include "SDLsmtp.h"
#include "SDLmail.h"

int main(int argc, char *argv[])
{
  TCPsocket smtpSock;
  FILE *fileIn=NULL;
  int port=25;

  if(argc<5)
  {
    fprintf(stderr,"Incorrect argument form.\n");
    fprintf(stderr,"Syntax:  %s file.txt smtp.isp.com "
                   "myemail@wherever.com destemail@wherever.com\n\n",argv[0]);
    return(1);
  }

  if(Init()<0)	return(1);

  fileIn=fopen(argv[1],"r");
  if(fileIn==NULL)
  {
    fprintf(stderr,"Cannot open file %s\n",argv[1]);
    Quit();
  }

  if(getenv("SDLSOCK_DEBUG")!=NULL) sdlsock_debug=1;

  smtpSock=OpenSock(argv[2],port);

  if(!smtpSock)
  {
    fprintf(stderr,"Couldn't open TCP socket\n");
    fclose(fileIn);
    Quit();
    return(1);
  }

  if(SMTPSend(smtpSock,fileIn,argv[3],argv[4])<0)
  {
    fprintf(stderr,"Couldn't send email.\n");
  }
  else
  {
    fprintf(stderr,"Email sent!!\n");
  }

  SDLNet_TCP_Close(smtpSock);

  fclose(fileIn);
  Quit();
  return(0);
}

int Quit()
{
  SDLNet_Quit();
  SDL_Quit();

  return(0);
}

int Init()
{
  if(SDL_Init(0)<0)  return(-1);
  else if(SDLNet_Init()<0)
  {
    SDL_Quit();
    return(-1);
  }
  else               return(0);
}

